Bug 882561 - Review Request: mate-bluetooth - MATE Desktop Bluetooth applet
Summary: Review Request: mate-bluetooth - MATE Desktop Bluetooth applet
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: MATE-DE-tracker mfm-sendto
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-01 21:07 UTC by Dan Mashal
Modified: 2016-08-14 16:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-15 22:58:04 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dan Mashal 2012-12-01 21:07:20 UTC
Spec URL: http://vicodan.fedorapeople.org/matespec/mate-bluetooth.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-bluetooth-1.5.0-1.fc18.src.rpm
Description: MATE Desktop Bluetooth applet.

Comment 1 Nelson Marques 2012-12-18 19:43:07 UTC
Configure summary:

	Compiler....................:  gcc
	Compiler Flags..............:  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic
	Prefix......................:  /usr
	Moblin interface............:  no
	caja-sendto plugin..........:  yes
	Documentation...............:  no
	GObject-Introspection.......:  yes


Your current setup doesn't build the caja-sendto plugin; This is bad as we truly want this feature to be enabled; This package can't be reviewed properly before BZ#882531 is properly closed and approved as we will need that development package to successfully build the caja-sendto extension for Bluetooth.

The output above is from a personal test run locally and everything works fine, so lets first finish BZ#882531 and then think to closing this.

Comment 2 Dan Mashal 2012-12-18 22:28:58 UTC
That is correct.

Comment 3 Rex Dieter 2013-03-12 19:27:07 UTC
OK, review time.

naming: ok

sources: ok
0b9a0fc9e9c3ff0134433a6ccca0885a  mate-bluetooth-1.5.0.tar.xz

licensing: ok  (combined work of LGPLv2+ and GPLv2+ sources)

builds/installs: ok

dependencies: NOT ok
1.  MUST remove
Requires:       desktop-file-utils
(this is really not wanted or needed at runtime)

2.  SHOULD move
NOCONFIGURE=1 ./autogen.sh
to %prep section

3.  scriptlets: NOT ok
MUST add missing icon-cache scriptlets

4.  SHOULD consider -libs subpkg, for %{_libdir}/libmate-bluetooth.so.8* , else main package will get multilib'd too

5.  SHOULD build with options:
--disable-desktop-update
then you can drop
%exclude %{_datadir}/applications/mimeinfo.cache

6.  SHOULD drop extraneous %configure option: --with-gnu-ld
that is, unless you can document some need for it?

Comment 4 Dan Mashal 2013-03-18 22:00:49 UTC
Updated:

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-bluetooth.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-bluetooth-1.5.0-2.fc20.src.rpm
Description: MATE Desktop Bluetooth applet.

Comment 5 Rex Dieter 2013-03-18 22:34:47 UTC
OK, APPROVED.


A couple small things though,

move these:
%{_libdir}/mate-bluetooth/plugins/libgbtgeoclue.so
%{_libdir}/caja-sendto/plugins/libnstbluetooth.so

to main or -libs pkg, they're obviously runtime plugins of some sort.

-devel should Requires: %{name}-libs ...
and
-libs should Requires: %{name} ...
to be on the safe side (unless you're sure nothing that links libmate-bluetooth needs those other things at runtime, it's usually safe to assume yes unless known or proven otherwise)

Comment 6 Dan Mashal 2013-03-18 22:48:32 UTC
I thought so. Thanks. Will do.

New Package SCM Request
=======================
Package Name: mate-bluetooth
Short Description: MATE Desktop Bluetooth plugin
Owners: vicodan rdieter davidx
Branches: f17 f18 f19

Comment 7 Gwyn Ciesla 2013-03-19 12:13:24 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-03-20 06:32:00 UTC
mate-bluetooth-1.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-bluetooth-1.5.0-2.fc18

Comment 9 Fedora Update System 2013-03-20 07:30:58 UTC
mate-bluetooth-1.5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-bluetooth-1.5.0-2.fc17

Comment 10 Fedora Update System 2013-03-22 00:03:19 UTC
mate-bluetooth-1.5.0-2.fc17 has been pushed to the Fedora 17 testing repository.


Note You need to log in before you can comment on or make changes to this bug.